<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="FAQs">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Uninstalling Metasploit Pro is a two step process. First you must stop the Metasploit service, then you must run a script that removes Metasploit and all its components. " /><title>How do I uninstall Metasploit on Linux? </title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#19-faqs/faq-uninstall-metasploit-linux.html">Open topic with navigation</a>
        </p>
        <h3 class="FAQ">How do I uninstall Metasploit on Linux? </h3>
        <p>Uninstalling <span class="VariablesProductName">Metasploit Pro</span> is a two step process. First you must stop the Metasploit service, then you must run a script that removes Metasploit and all its components. </p>
        <p>To uninstall <span class="VariablesProductName">Metasploit Pro</span>, open the command line terminal. Change the current directory to the Metasploit directory. </p>
        <p>For example, if you used the default installation directory, you can type <code class="usertype">cd Metasploit-4.6.0</code>. After you change the directory, type<code class="usertype"> ./ctlscript.sh.stop</code> to stop the Metasploit service, and then type<code class="usertype">./uninstall</code> to run the uninstall script. </p>
    </body>
</html>